package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"task", "valuepair", "attribute"}
)
@XmlRootElement(
   name = "SESSIONCOMPONENT"
)
public class SESSIONCOMPONENT {
   @XmlAttribute(
      name = "TYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String type;
   @XmlAttribute(
      name = "REFOBJECTNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String refobjectname;
   @XmlAttribute(
      name = "REUSABLE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String reusable;
   @XmlAttribute(
      name = "ISNONE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isnone;
   @XmlElement(
      name = "TASK"
   )
   protected TASK task;
   @XmlElement(
      name = "VALUEPAIR"
   )
   protected List<VALUEPAIR> valuepair;
   @XmlElement(
      name = "ATTRIBUTE"
   )
   protected List<ATTRIBUTE> attribute;

   public String getTYPE() {
      return this.type;
   }

   public void setTYPE(String value) {
      this.type = value;
   }

   public String getREFOBJECTNAME() {
      return this.refobjectname;
   }

   public void setREFOBJECTNAME(String value) {
      this.refobjectname = value;
   }

   public String getREUSABLE() {
      return this.reusable;
   }

   public void setREUSABLE(String value) {
      this.reusable = value;
   }

   public String getISNONE() {
      return this.isnone;
   }

   public void setISNONE(String value) {
      this.isnone = value;
   }

   public TASK getTASK() {
      return this.task;
   }

   public void setTASK(TASK value) {
      this.task = value;
   }

   public List<VALUEPAIR> getVALUEPAIR() {
      if (this.valuepair == null) {
         this.valuepair = new ArrayList();
      }

      return this.valuepair;
   }

   public List<ATTRIBUTE> getATTRIBUTE() {
      if (this.attribute == null) {
         this.attribute = new ArrayList();
      }

      return this.attribute;
   }
}
